- name: Play to Add Bind pVLAN to vPC
  hosts: all
  connection: local
  gather_facts: no
  vars: 
    apic_login: &apic_login
      host: "{{ apic_host }}"
      username: "{{ user_var }}"
      password: "{{ user_pass }}"
      validate_certs: no
      use_proxy: False   
      use_ssl: True  
      state: present
    delay_var: 0.1 

  tasks:

  - name: Deploy Static Path binding for given EPG
    aci_static_binding_to_epg:
      <<: *apic_login
      tenant: taxud
      ap: "{{ bind.ap }}"
      epg: "{{ bind.epg }}"
      encap_id: "{{ bind.encap_id }}"
      deploy_immediacy: immediate
      interface_mode: "{{bind.switchport_mode}}"
      interface_type: vpc
      pod_id: "{{ bind.pod_id }}"
      leafs: "{{ bind.leaf1_id }}-{{ bind.leaf2_id }}"
      interface: "vpc.L{{ bind.leaf1_id }}.L{{ bind.leaf2_id }}.1.{{ bind.interface_id }}-intpolgrp"
    loop: "{{ awx_webhook_payload.data.local_context_data.static_path_binding_vpc_pvlan_add }}"
    loop_control:
             loop_var: bind
             label: "Binding {{ bind.epg }} to leafs: L{{ bind.leaf1_id }}-L{{ bind.leaf2_id }} interface: Eth1/{{ bind.interface_id }}"
             pause: "{{ delay_var }}"
    when:
      - awx_webhook_payload.data.local_context_data.static_path_binding_vpc_pvlan_add is defined
      - awx_webhook_payload.data.local_context_data.static_path_binding_vpc_pvlan_add | type_debug == 'list'
      - awx_webhook_payload.data.local_context_data.static_path_binding_vpc_pvlan_add | length > 0

